Request Body
string
required
Collection name
string
Optional description of the collection’s purpose
curl -X POST https://api.artaios.ai/api/v1/collections/ \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Product Documentation",
"description": "All product manuals and guides"
}'
import requests
data = {
"name": "Product Documentation",
"description": "All product manuals and guides"
}
response = requests.post(
"https://api.artaios.ai/api/v1/collections/",
headers={"x-api-key": "YOUR_API_KEY"},
json=data
)
collection = response.json()
const data = {
name: "Product Documentation",
description: "All product manuals and guides"
};
const response = await fetch('https://api.artaios.ai/api/v1/collections/', {
method: 'POST',
headers: {
'x-api-key': 'YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify(data)
});
const collection = await response.json();
Response
{
"id": "coll_456",
"name": "Product Documentation",
"description": "All product manuals and guides",
"status": "pending",
"progress": 0,
"data_source_count": 0,
"total_size": 0,
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z"
}